package javax.activity;

/**
 * This exception is thrown by the Activity service when an attempt is made
 * to remove the association between an Action and any SignalSets registered
 * with the Activity if that Action instance is not recognized by the
 * Activity service.
 *
 */
public class ActionNotFoundException extends java.lang.Exception
{
   /**
    * Default constructor for the exception.
    *
    */
   public ActionNotFoundException()
   {
   }

   /**
    * Constructs an instance of the exception with the specified
    * <code>message</code> and <code>cause</code>.
    *
    */
   public ActionNotFoundException(String message, Throwable cause)
   {
      _errorMsg = new String(message);
      _expn = cause;
   }

   private String _errorMsg=null; 
   private Throwable _expn = null;
}
