package javax.activity;

/**
 * This exception is raised when it is not possible to complete the processing
 * of signals from a completion or broadcast signal set.
 * 
 */
public class ActivityNotProcessedException extends java.lang.Exception
{
   /**
    * Default constructor for the exception.
    *
    */
   public ActivityNotProcessedException()
   {
   }
   /**
    * Constructs an instance of the exception with the specified
    * <code>message</code>.
    *
    */
   public ActivityNotProcessedException(String message)
   {
      _errorMsg = new String(message);
   }

   /**
    * Constructs an instance of the exception with the specified
    * <code>message</code> and <code>cause</code>.
    *
    */
   public ActivityNotProcessedException(String message, Throwable cause)
   {
      _errorMsg = new String(message);
      _expn = cause;
   }

   private String _errorMsg=null; 
   private Throwable _expn = null;

}
