package javax.activity;

/**
 * This exception is thrown by the Activity service when an attempt is made
 * to resume an Activity into a different context to that from which it was
 * suspended.
 *
 */
public class InvalidParentContextException extends java.lang.Exception
{
   /**
    * Default constructor for the exception.
    *
    */
   public InvalidParentContextException()
   {
   }

   /**
    * Constructs an instance of the exception with the specified
    * <code>message</code> and <code>cause</code>.
    *
    */
   public InvalidParentContextException(String message, Throwable cause)
   {
      _errorMsg = new String(message);
      _expn = cause;
   }

   private String _errorMsg=null; 
   private Throwable _expn = null;
}                      
