package javax.activity;

/**
 * This exception is thrown by the Activity service when UserActivity
 * operations that require an active Activity are called outside the scope
 * of an Activity.
 *
 */
public class NoActivityException extends java.lang.Exception
{
   /**
    * Default constructor for the exception.
    *
    */
   public NoActivityException()
   {
   }

   /**
    * Constructs an instance of the exception with the specified
    * <code>message</code> and <code>cause</code>.
    *
    */
   public NoActivityException(String message, Throwable cause)
   {
      _errorMsg = new String(message);
      _expn = cause;
   }

   private String _errorMsg=null; 
   private Throwable _expn = null;
}
