package javax.activity;

/**
 * This exception is thrown by the Activity service if an Activity service
 * operation is attempted in an execution environment for which that operation
 * is not supported. 
 * For example, some Activity service operations are not supported in a J2EE
 * client environment.
 *
 */
public class NoImplementException extends java.lang.Exception
{
   /**
    * Default constructor for the exception.
    *
    */
   public NoImplementException()
   {
   }

   /**
    * Constructs an instance of the exception with the specified
    * <code>message</code> and <code>cause</code>.
    *
    */
   public NoImplementException(String message, Throwable cause)
   {
      _errorMsg = new String(message);
      _expn = cause;
   }

   private String _errorMsg=null; 
   private Throwable _expn = null;
}
