package javax.activity;

/**
 * This exception is thrown by the <code>SignalSet</code> if
 * an attempt is made to obtain its final <code>Outcome</code> after the <code>SignalSet</code>
 * has started to produce signals and before it has finished producing them.
 * 
 */
public class SignalSetActiveException extends java.lang.Exception
{
   /**
    * Default constructor for the exception.
    *
    */
   public SignalSetActiveException()
   {
   }

   /**
    * Constructs an instance of the exception with the specified
    * <code>message</code> and <code>cause</code>.
    *
    */
   public SignalSetActiveException(String message, Throwable cause)
   {
      _errorMsg = new String(message);
      _expn = cause;
   }

   private String _errorMsg=null; 
   private Throwable _expn = null;
}
