package javax.activity;

/**
 * This exception is thrown by the <code>SignalSet</code> if
 * an attempt is made to use the <code>SignalSet</code> without having first called
 * {@link javax.activity.coordination.SignalSet#getSignal() getSignal} or
 * {@link javax.activity.coordination.SubordinateSignalSet#setSignal(Signal) setSignal}.
 * 
 */
public class SignalSetInactiveException extends java.lang.Exception
{
   /**
    * Default constructor for the exception.
    *
    */
   public SignalSetInactiveException()
   {
   }

   /**
    * Constructs an instance of the exception with the specified
    * <code>message</code> and <code>cause</code>.
    *
    */
   public SignalSetInactiveException(String message, Throwable cause)
   {
      _errorMsg = new String(message);
      _expn = cause;
   }

   private String _errorMsg=null; 
   private Throwable _expn = null;
}                      
