package javax.activity;

/**
 * This exception is thrown by the Action during signal processing
 * if it encounters an error it cannot handle.
 * 
 */
public class ActionErrorException extends java.lang.Exception
{
   /**
    * Default constructor for the exception.
    *
    */
   public ActionErrorException()
   {
   }
   /**
    * Constructs an instance of the exception with the specified
    * <code>message</code>.
    *
    */
   public ActionErrorException(String message)
   {
      _errorMsg = new String(message);
   }


   /**
    * Constructs an instance of the exception with the specified
    * <code>message</code> and <code>cause</code>.
    *
    */
   public ActionErrorException(String message, Throwable cause)
   {
      _errorMsg = new String(message);
      _expn = cause;
   }

   private String _errorMsg=null; 
   private Throwable _expn = null;
}                      
