package javax.activity;

/**
 * This exception is thrown by the Activity service if it is instructed
 * to use a SignalSet that has not previously been registered.
 * 
 */
public class SignalSetUnknownException extends java.lang.Exception
{
   /**
    * Default constructor for the exception.
    *
    */
   public SignalSetUnknownException()
   {
   }

   /**
    * Constructs an instance of the exception with the specified
    * <code>message</code> and <code>cause</code>.
    *
    */
   public SignalSetUnknownException(String message, Throwable cause)
   {
      _errorMsg = new String(message);
      _expn = cause;
   }

   private String _errorMsg=null; 
   private Throwable _expn = null;
}
