package javax.activity;

/**
 * This exception is thrown by the Activity service if an unexpected
 * condition occurs.
 * 
 */
public class SystemException extends java.lang.Exception
{
   /**
    * Default constructor for the exception.
    *
    */
   public SystemException()
   {
   }
   /**
    * Constructs an instance of the exception with the specified
    * <code>message</code>.
    *
    */
   public SystemException(String message)
   {
      _errorMsg = new String(message);
   }

   /**
    * Constructs an instance of the exception with the specified
    * <code>cause</code>.
    *
    */
   public SystemException(Throwable cause)
   {
      _expn = cause;
   }


   /**
    * Constructs an instance of the exception with the specified
    * <code>message</code> and <code>cause</code>.
    *
    */
   public SystemException(String message, Throwable cause)
   {
      _errorMsg = new String(message);
      _expn = cause;
   }


   private String _errorMsg=null; 
   private Throwable _expn = null;
}
