package javax.activity;

/**
 * This exception is thrown by the Activity service if an Activity
 * timeout value is specified that is either:
 * <ul><li>less than <code>-1</code> <i>or</i> 
 * <li>outside an administratively defined range
 * </ul>
 * 
 */
public class TimeoutRangeException extends java.lang.Exception
{
   /**
    * Default constructor for the exception.
    *
    */
   public TimeoutRangeException()
   {
   }

   /**
    * Constructs an instance of the exception with the specified
    * <code>message</code> and <code>cause</code>.
    *
    */
   public TimeoutRangeException(String message, Throwable cause)
   {
      _errorMsg = new String(message);
      _expn = cause;
   }

   private String _errorMsg=null; 
   private Throwable _expn = null;
}
